HierarchyEntityControllerUpdateHierarchy Method |
PUT /HierarchyEntity/
Updates the given hierarchy.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage UpdateHierarchy(
Guid id,
[FromBodyAttribute] UpdateHierarchyOptions options,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Function UpdateHierarchy (
id As Guid,
<FromBodyAttribute> options As UpdateHierarchyOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ UpdateHierarchy(
Guid id,
[FromBodyAttribute] UpdateHierarchyOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
member UpdateHierarchy :
id : Guid *
[<FromBodyAttribute>] options : UpdateHierarchyOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the hierarchy. - options
- Type: Dundas.BI.WebApi.ModelsUpdateHierarchyOptions
The options to use when updating the hierarchy. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
HierarchyEntityData object containing the updated hierarchy, or a status code indicating the problem.
See Also